window push version 11
window push log using 10.8.ERpolymorphism.log, replace
window push *  10.7.ERpolymorphism.log
window push *
window push *  Do a one-way analysis of variance to determine whether age 
window push *  at breast cancer diagnosis varies with estrogen receptor (ER)
window push *  genotype using the data of Parl et al. 1989.
window push *
window push use C:\wddtext\10.8.ERpolymorphism.dta
window push ci age
window push by genotype: ci age
window push *
window push *  The following graph type is not available in Stata version 8.0
window push *
window push graph7 age, by(genotype ) box oneway
window push oneway age genotype
window push *
window push *  Test whether the standard deviations of age are equal in 
window push *  patients with different genotypes.
window push *
window push robvar age, by(genotype)
window push *
window push *  Repeat analysis using linear regression
window push *
window push  regress age i.genotype
window push lincom _cons + 2.genotype
window push lincom _cons + 3.genotype
window push lincom 3.genotype - 2.genotype	
window push *
window push *  Perform a Kruskal-Wallis analysis of variance
window push *
window push kwallis age, by(genotype)
window push ranksum age if genotype ~=3, by(genotype)
window push ranksum age if genotype ~=2, by(genotype)
window push ranksum age if genotype ~=1, by(genotype)
window push kwallis age if genotype ~=1, by(genotype)
window push log close
