window push version 10.0
window push set more on
window push log using 11.5.Isoproterenol.log, replace
window push *  11.5.Isoproterenol.log
window push *
window push *  Perform a response feature analysis of the effect of race and dose of
window push *  isoproterenol on blood flow using the data of Lang et al. (1995).  For
window push *  each patient, we will perform separate linear regressions of change in
window push *  blood flow against log dose of isoproterenol.  The response feature that
window push *  we will use is the slope of each individual regression curve. 
window push *
window push use C:\WDDtext\11.2.Long.Isoproterenol.dta, clear
window push *
window push *  Calculate the regression slope for the first patient
window push *
window push regress delta_fbf logdose if id == 1
window push predict yhat
window push scatter delta_fbf dose if dose!=0 & id==1		 ///
window push     || line yhat dose  if dose!=0 & id==1		 ///
window push     , ylabel(0 5 10 15 20 25) 				 ///
window push       ytitle(Change in Forearm Blood Flow) xscale(log) 	 ///
window push       xlabel(10 20 30 60 100 150 200 300 400, angle(45)) ///
window push       xmtick(10(10)90 250 350) legend(off)
window push more
window push * Calculate regression slopes for each patient.  
window push * Reduce data set to one record per patient.  
window push * The variable slope contains the regression slopes; race
window push * is included in the by option of the statsby command to to 
window push * keep this variable in the data file.
window push *
window push statsby  _b, by(id race) clear : regress delta_fbf logdose
window push list id _b_logdose race 
window push stripplot _b_logdose, over(race) boffset(-0.2) ysize(2) ///
window push     box(lwidth(medthick) barwidth(0.2))   		///
window push     scale(2.5) yscale(titlegap(-8))			///
window push     xtitle(Slope: Change in Blood Flow per Unit Change in Log Dose)
window push more
window push *
window push *  Do ranksum test on slopes.
window push *
window push ranksum _b_logdose, by(race)
window push more
window push *
window push *  Do t tests comparing change in blood flow in blacks and whites at
window push *  different doses
window push *
window push use C:\WDDtext\11.2.Long.Isoproterenol.dta, clear
window push sort dose
window push drop if dose==0
window push by dose: ttest delta_fbf , by(race) unequal
window push log close














