window push log using 5.12.EsophagealCa.ClassVersion.log, replace
window push *  5.12.EsophagealCa.ClassVersion.do
window push *
window push *  Estimate age-adjusted risk of esophageal cancer due to dose of tobacco.
window push *
window push use C:\WDDtext\5.5.EsophagealCa.dta, clear
window push *
window push *  Show frequency tables of effect of dose of tobacco on esophageal cancer.
window push *
window push tabulate cancer tobacco [freq=patients] , column
window push *
window push *  Analyze the Ille-et-Vilaine data using a logistic regression model
window push *  that is analogous to model (5.24) in my text.
window push *
window push logistic cancer i.age i.tobacco [freq=patients]
window push *
window push *  Combine tobacco levels 2 and 3 in a new variable called smoke
window push *
window push generate smoke = tobacco
window push recode smoke 3=2 4=3
window push label variable smoke "Smoking (gm/day)"
window push label define  smoke 1 "0-9" 2 "10-29" 3 ">= 30"
window push label values smoke smoke
window push table smoke tobacco [freq=patients], row col
window push logistic cancer i.age i.smoke [freq=patients]
window push lincom 3.smoke - 2.smoke
window push log close





