window push log using 5.20.EsophagealCa.tutorial.log, replace
window push set more on
window push *  5.20.EsophagealCa.tutorial.log
window push *
window push *  Regress esophageal cancers against age and dose of alcohol 
window push *  and tobacco using a model with interaction terms.
window push *
window push use 5.5.EsophagealCa.dta, clear
window push sort tobacco
window push generate smoke = tobacco
window push recode smoke 3=2 4=3
window push label variable smoke "Smoking (gm/day)"
window push label define  smoke 1 "0-9" 2 "10-29" 3 ">= 30"
window push label values smoke smoke
window push *
window push *  Regress cancer against age, alcohol and smoke. 
window push *  Include alcohol-smoke interaction terms.
window push *
window push logistic cancer i.age alcohol##smoke [freq=patients]
window push log close












