window push version 11.0
window push log using Birth_Weight.LR.log, replace
window push set more on
window push  *
window push  *  Linear regression of birth weight on estriol
window push  *      See Rosner, Table 11.1, p445, and Green & Touchstone 1963
window push  *
window push set more on
window push use rostab11.dta, clear
window push regress bweight estriol
window push predict y_hat, xb
window push twoway scatter bweight estriol							///
window push     || line y_hat estriol							///
window push     ,  xlabel(10 (5) 25) xmtick(7 (1) 27) ytitle("Birth Weight (g/100)")
window push more
window push predict std_p, stdp
window push generate ci_u = y_hat + invttail(_N-2,0.025)*std_p
window push generate ci_l = y_hat - invttail(_N-2,0.025)*std_p
window push twoway rarea   ci_u ci_l estriol, color(gs14)					///
window push     || scatter bweight estriol							///
window push     || line y_hat  estriol							///
window push     ,  xlabel(10 (5) 25) xmtick(7 (1) 27) ytitle("Birth Weight (g/100)")
window push     
window push more
window push *
window push *  The preceding graph could also have been generated without explicitly 
window push *  calculationg yhat, ci_u or ci_l as follows
window push *
window push twoway lfitci  bweight estriol							///
window push     || scatter bweight estriol							///
window push     ,  xlabel(10 (5) 25) xmtick(7 (1) 27) ytitle("Birth Weight (g/100)")
window push more
window push predict std_f, stdf
window push generate ci_uf = y_hat + invttail(_N-2,0.025)*std_f 
window push generate ci_lf = y_hat - invttail(_N-2,0.025)*std_f 
window push twoway lfitci  bweight estriol							///
window push     || scatter bweight estriol							///
window push     || rline ci_uf ci_lf estriol, color(red)					///
window push     ,  xlabel(10 (5) 25) xmtick(7 (1) 27) 					///
window push        ylabel(20 (5) 45) ytitle("Birth Weight (g/100)") legend(off)
window push more
window push twoway scatter bweight estriol							///
window push     || lfit bweight estriol							///
window push     || lowess bweight estriol, bwidth(.8)					///
window push     ||,  xlabel(10 (5) 25) xmtick(7 (1) 27) ytitle("Birth Weight (g/100)")
window push more
window push regress bweight estriol
window push predict residual, rstudent
window push twoway scatter residual estriol							///
window push     || lowess residual estriol							///
window push     , ylabel(-2 (1) 2) yline(-2 0 2) xlabel(10 (5) 25) xmtick(7 (1) 27)		///
window push       ytitle(Studentized residual)
window push 
window push log close











