window push version 9.0
window push set more on
window push log using 7.6.Framingham.log-log.log, replace
window push *  7.6.Framingham.log    
window push *
window push *  Test log(-log(S(t)) residual plots.
window push *  
window push set memory 2000
window push use C:\WDDtext\2.20.Framingham.dta, clear
window push generate dbpgr = recode(dbp,60,70,80,90,100,110,111)
window push tabulate dbpgr chdfate
window push label define dbp 60 "DBP <= 60"   70 "60<DBP<=70"       ///
window push                  80 "70<DBP<=80"   90 "80<DBP<=90"       ///
window push                 100 "90<DBP<=100" 110 "100<DBP<=110"      ///
window push                 111 "110<DBP"
window push label variable dbpgr "DBP level" 
window push label values dbpgr dbp
window push generate male = sex==1
window push generate time= followup/365.25
window push label variable time "Follow-up in Years"
window push stset time, failure(chdfate)
window push *
window push *  Univariate analysis of the effect of DBP on CHD
window push *
window push * stcox  i.dbpgr
window push stphplot, by(dbpgr) nolntime legend(ring(0) position(2) col(1) symxsize(*.5)) 	///
window push     msymbol(none none none none none none none)					///
window push     color(red blue black magenta cyan gray orange)
window push more
window push stphplot, by(dbpgr) nolntime legend(ring(0) position(2) col(1) symxsize(*.5) textwidth(*2)) 	///
window push     msymbol(none none none none none none none)					///
window push     color(red blue black magenta cyan gray orange)
window push more
window push stcoxkm, by(dbpgr) legend(ring(0) position(7) col(1) 			///
window push 	order(3 "Observed" 10 "Predicted"))				///
window push         msymbol(none none none none none none none			///
window push                 none none none none none none none)			///
window push         lpattern(solid solid solid solid solid  			///
window push                  solid solid dash dash  dash  dash  dash dash dash)	///
window push         color(red blue black magenta cyan gray orange			///
window push                red blue black magenta cyan gray orange)
window push *
window push *  Univariate analysis of the effect of gender on CHD
window push *
window push stcox male
window push stphplot, by(male) nolntime 						///
window push     legend(ring(0) position(2) col(1) order(1 "Female" 2 "Male" )) 	///
window push     msymbol(none none) color(red blue )
window push     more
window push stcoxkm, by(male) legend(ring(0) position(7) col(1)) 			///
window push         msymbol(none none none none )					///
window push         lpattern(solid solid dash dash)					///
window push         color(red blue red blue)
window push 
window push *
window push *  Fit multiplicative model of DBP and gender on risk of CHD
window push *
window push stcox  i.dbpgr male
window push *
window push *  Fit model of DBP and gender on risk of CHD using interaction terms
window push *
window push stcox  dbpgr##male
window push *
window push *  Adjust model for age, BMI and SCL
window push *
window push stcox  dbpgr##male age 
window push display 2*(11646.794 -11517.247)
window push display chi2tail(1,259.094)
window push stcox  dbpgr##male age bmi 
window push display 2*(11517.247   -11490.733 )
window push display chi2tail(1,53.028)
window push stcox  dbpgr##male age bmi scl
window push display 2*(11490.733   -11382.132)
window push display chi2tail(1,217.202)
window push *
window push * Define a single indicator variable for gender and dbp
window push *
window push gen dbpsex = dbpgr + male*100
window push stphplot, by(dbpsex) nolntime 					   ///
window push     legend(ring(0) position(2) col(1) order(3 "Female" 10 "Male")) ///
window push     msymbol(none none none none none none none 			   ///
window push             none none none none none none none) 		   ///
window push     color(red blue black magenta cyan gray orange		   ///
window push     	  red blue black magenta cyan gray orange)		   ///
window push     lpattern(solid solid solid solid solid solid solid 		   ///
window push              dash dash dash dash dash dash dash)	
