window push version 9.0
window push set more on
window push log using 7.9.4.Framingham.modelfit.log, replace
window push *  Framingham.ModelFit.log
window push *
window push *  Check the proportional hazards model fit for the effect of gender on
window push *  CHD with time measured as age.
window push *
window push use C:\WDDtext\2.20.Framingham.dta, clear
window push more
window push generate time= followup/365.25
window push label variable time "Follow-up in Years"
window push generate exitage = age+time
window push stset exitage, enter(time age) failure(chdfate) 
window push sts graph, by(sex) failure ytitle(Cumulative CHD Morbidity) xtitle(Age)	///
window push     ylabel(0(.1).8, angle(0)) legend(ring(0) position(11) col(1))	/// 
window push     color(blue pink) clwidth(medthick medthick) xlabel(30(10)90) noorigin
window push more
window push stphplot, by(sex) nolntime 						///
window push     legend(ring(0) position(2) col(1) ) 				///
window push     msymbol(none none) color(red blue )
window push more
window push stcoxkm, by(sex) legend(ring(0) position(7) col(1)) 			///
window push         msymbol(none none none none )					///
window push         lpattern(solid solid dash dash)					///
window push         color(red blue red blue)
window push more
window push stcox sex,  basehc(h)
window push stcurve, at1(sex=1) at2(sex=2) hazard yscale(log) outfile(plot, replace)
window push more
window push drop h
window push stcox if sex==1, estimate  basehc(h)
window push stcurve, hazard yscale(log) outfile(plotmen, replace)
window push more
window push drop h
window push stcox if sex==2, estimate  basehc(h)
window push stcurve, hazard yscale(log) outfile(plotwomen, replace)
window push use plotwomen, clear
window push list in 1/3
window push rename haz1 hazwomen
window push save plotwomen, replace
window push use plotmen, clear
window push list in 1/3
window push rename haz1 hazmen
window push save plotmen, replace
window push use plot, clear
window push list in 1/3
window push merge _t using plotmen plotwomen, sort
window push sort _t
window push list in 1/3
window push line        haz2 _t, color(blue) lpattern(solid)	    ///
window push     || line haz3 _t, color(pink) lpattern(solid)	    ///
window push     || line hazmen _t, color(blue) lpattern(dash)	    ///
window push     || line hazwomen _t, color(pink) lpattern(dash)	    ///
window push     , legend(ring(0) position(5) col(1) 		    ///
window push           order(1 "Men:	      proportional hazards" 	    ///
window push                 2 "Women: proportional hazards" 	    ///
window push                 3 "Men:       unrestricted"  		    ///
window push                 4 "Women: unrestriced")) 		    ///
window push       ylabel(.001 .002 .004 .006 .01 .02 .04 .06, angle(0)) ///
window push       ytick(.003(.001).009 .03 .05) yscale(log)		    ///
window push       xtitle(Age) ytitle(Smoothed hazard function) 
window push more
window push *
window push *  Analyze patients less than 47 years old
window push *
window push use C:\WDDtext\2.20.Framingham.dta, clear
window push generate time= followup/365.25
window push label variable time "Follow-up in Years"
window push generate exitage = age+time
window push stset exitage, enter(time age) failure(chdfate) 
window push generate chdfate47 = chdfate & exitage <= 47
window push generate exitage47 = min(47,exitage)
window push generate chdfate57 = chdfate & exitage <= 57
window push generate exitage57 = min(57, exitage)
window push generate age47 = max(age, 47)
window push generate age57 = max(age, 57)
window push stset exitage47, enter(time age) failure(chdfate47)
window push stcox sex if age <47,  basehc(h)
window push stcurve, at1(sex=1) at2(sex=2) hazard yscale(log) outfile(plot47, replace)
window push more
window push stset exitage57, enter(time age47) failure(chdfate57)
window push drop h
window push stcox sex if age < 57 & exitage >47,  basehc(h)
window push stcurve, at1(sex=1) at2(sex=2) hazard yscale(log) outfile(plot57, replace)
window push more
window push stset exitage, enter(time age57) failure(chdfate)
window push drop h
window push stcox sex if exitage >=57,  basehc(h)
window push stcurve, at1(sex=1) at2(sex=2) hazard yscale(log) outfile(plotold, replace)
window push more
window push use plotold, replace
window push merge _t using plotmen plotwomen plot47 plot57, sort
window push sort _t
window push line        haz2 _t, color(blue) lpattern(solid)	    ///
window push     || line haz3 _t, color(pink) lpattern(solid)	    ///
window push     || line hazmen _t, color(blue) lpattern(dash)	    ///
window push     || line hazwomen _t, color(pink) lpattern(dash)	    ///
window push     , legend(ring(0) position(5) col(1) 		    ///
window push           order(1 "Men:	      time-dependent model" 	    ///
window push                 2 "Women: time-dependent model" 	    ///
window push                 3 "Men:       unrestricted"  		    ///
window push                 4 "Women: unrestriced")) 		    ///
window push       ylabel(.001 .002 .004 .006 .01 .02 .04 .06, angle(0)) ///
window push       ytick(.003(.001).009 .03 .05) yscale(log)		    ///
window push       xtitle(Age) ytitle(Smoothed hazard function) 
window push 
window push log close
