window push version 9.0
window push log using SupportLinearRCS.log, replace
window push set more on
window push *  SupportLinearRCS.log
window push *
window push *  Draw scatter plots of length-of-stay (LOS) by mean arterial 
window push *  pressure (MAP) and log LOS by MAP for the SUPPORT Study data.  
window push *
window push use 3.25.2.SUPPORT.dta , replace
window push scatter los map, symbol(Oh) xlabel(25 (25) 175) xmtick(20 (5) 180)  	///
window push     ylabel(0(25)225, angle(0)) ymtick(5(5)240) name(g1, replace)
window push more
window push scatter los map, symbol(Oh) xlabel(25 (25) 175) xmtick(20 (5) 180)  	///
window push     yscale(log) ylabel(4(2)10  20(20)100 200, angle(0)) 		///
window push     ymtick(3(1)9 30(10)90) name(g2, replace)
window push more
window push *
window push *  Regress log LOS against MAP using RCS models with 
window push *  5 knots at their default locations.  Overlay the expected  
window push *  log LOS from these models on a scatter plot of log LOS by MAP.
window push *
window push mkspline _Smap = map, cubic displayknots
window push summarize _Smap1 _Smap2 _Smap3 _Smap4
window push generate log_los = log(los)
window push regress log_los _S*
window push test _Smap2  _Smap3 _Smap4
window push predict y_hat, xb
window push scatter log_los map, symbol(Oh)  					///
window push     || line y_hat map, color(red) lwidth(medthick)			///
window push     , xlabel(25 (25) 175) xmtick(20 (5) 180) 				///
window push         xline(47 66 78 106 129, lcolor(blue))				///
window push       ylabel(1.39 "4" 1.79 "6" 2.08 "8" 2.3 "10" 3 "20" 		///
window push           3.69 "40" 4.09 "60" 4.38 "80" 4.61 "100" 5.3 "200", angle(0)) ///
window push       ymtick(1.1 1.39 1.61 1.79 1.95 2.08 2.2 3.4 3.91 4.25 4.5) 	///
window push       ytitle(Length of Stay (days))					///
window push        legend(order(1 "Observed" 2 "Expected")) name(g3, replace)
window push more
window push *
window push *  Plot expected LOS for 7 knot model together with 95% 
window push *  confidence bands.  Use the default knot locations.
window push *
window push drop _S* y_hat
window push mkspline _Smap = map, nknots(7) cubic displayknots
window push regress log_los _S*
window push predict y_hat, xb
window push predict se, stdp
window push generate lb = y_hat - invttail(_N-7, 0.025)*se
window push generate ub = y_hat + invttail(_N-7, 0.025)*se
window push twoway rarea lb ub map , color(yellow)  				///
window push     || scatter log_los map, symbol(Oh) color(blue) 			///
window push     || line y_hat map, color(red) lwidth(medthick)			///
window push     , xlabel(25 (25) 175) xmtick(20 (5) 180) 				///
window push       ylabel(1.39 "4" 1.79 "6" 2.08 "8" 2.3 "10" 3 "20" 		///
window push           3.69 "40" 4.09 "60" 4.38 "80" 4.61 "100" 5.3 "200", angle(0)) ///
window push       ymtick(1.1 1.39 1.61 1.79 1.95 2.08 2.2 3.4 3.91 4.25 4.5) 	///
window push       xline(41 60 69 78 101.3 113 138.1, lcolor(gray))			///
window push       ytitle(Length of Stay (days)) 					///
window push       subtitle("Default" "Knot" "Values"				///
window push           , ring(0) position(10)) legend(off)  	name(g4, replace)  	
window push more
window push *
window push *  Replot 7 knot model with evenly spaced knots.
window push *
window push drop _S* se y_hat lb ub
window push mkspline _Smap = map,  knots(39 56 73 90 107 124 141)	 		///
window push     cubic displayknots
window push regress log_los _S*
window push predict y_hat, xb
window push predict se, stdp
window push generate lb = y_hat - invttail(_N-7, 0.025)*se
window push generate ub = y_hat + invttail(_N-7, 0.025)*se
window push twoway rarea lb ub map , color(yellow)  				///
window push     || scatter log_los map, symbol(Oh) color(blue)			///
window push     || line y_hat map, color(red) lwidth(medthick)			///
window push     , xlabel(25 (25) 175) xmtick(20 (5) 180) 				///
window push       xline(39(17)141, lcolor(gray))					///
window push       ylabel(1.39 "4" 1.79 "6" 2.08 "8" 2.3 "10" 3 "20" 		///
window push           3.69 "40" 4.09 "60" 4.38 "80" 4.61 "100" 5.3 "200", angle(0))	///
window push       ymtick(1.1 1.39 1.61 1.79 1.95 2.08 2.2 3.4 3.91 4.25 4.5)	///
window push       subtitle("Evenly" "Spaced" "Knots", ring(0) position(10)) 	///
window push       ytitle(Length of Stay (days)) legend(off) name(g5, replace)
window push more
window push *
window push *  Regenerate seven-knot model with default knot values.
window push *
window push drop _S* y_hat se lb ub
window push mkspline _Smap = map, nknots(7) cubic
window push regress log_los _S*
window push predict rstudent, rstudent
window push generate big = abs(rstudent)>2
window push tabulate big
window push *
window push *  Draw a scatter plot of the studentized residuals against MAP
window push *  Overlay the associated lowess regression curve on this graph.
window push *
window push twoway scatter rstudent map, symbol(Oh)    			///
window push     || lowess rstudent map, lwidth(thick) 			///
window push     ,  ytitle(Studentized Residual) yline(-2 0 2, lcolor(blue)) ///
window push        legend(off) name(g6, replace)
window push more
window push *
window push *  Plot expected LOS against MAP on a linear scale.
window push *  Truncate LOS > 70.
window push *
window push predict y_hat, xb
window push predict se, stdp
window push generate lb = y_hat - invttail(_N-7, 0.025)*se
window push generate ub = y_hat + invttail(_N-7, 0.025)*se
window push generate e_los = exp(y_hat)
window push generate lb_los = exp(lb)
window push generate ub_los = exp(ub)
window push generate truncated_los = los
window push replace truncated_los = 80 if los > 70
window push twoway rarea lb_los ub_los map , color(yellow)			///  
window push     ||  scatter truncated_los map , symbol(Oh) 	color(blue)	///
window push     || line e_los map, color(red) lwidth(medthick)		///
window push     || rline lb_los ub_los map , color(yellow) 			///
window push            lwidth(thin thin) 					///
window push     , xlabel(25 (25) 175) xmtick(30 (5) 170)       		///
window push       ylabel(0 (10) 70, angle(0)) ytitle(Length of Stay)  	///
window push       legend(order(3 "Expected MAP" 				///
window push           1 "95% Confidence Interval") rows(1)) name(g7, replace)
window push more
window push log close
